
Name:    rocs 
Summary: Graph Theory IDE 
Version: 4.7.2
Release: 1%{?dist}

License: GPLv3+
URL:     https://projects.kde.org/projects/kde/kdeedu/%{name}
Source0: http://download.kde.org/stable/%{version}/src/%{name}-%{version}.tar.bz2

BuildRequires: boost-devel
BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel >= %{version}

Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}
Requires: kate-part%{?_kde4_version: >= %{_kde4_version}}

%description
%{summary}.

%package  libs
Summary:  Runtime files for %{name}
Requires: %{name} = %{version}-%{release}
# when split occurred
Conflicts: kdeedu-math-libs < 4.7.0-10
%description libs
%{summary}.

%package devel
Summary:  Development files for %{name}
# when split occurred
Conflicts: kdeedu-devel < 4.7.0-10
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kdelibs4-devel
%description devel
%{summary}.



%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde --without-mo


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README TODO
%{_kde4_bindir}/rocs
%{_kde4_libdir}/kde4/rocs_*.so
%{_kde4_datadir}/applications/kde4/rocs.desktop
%{_kde4_datadir}/config.kcfg/rocs.kcfg
%{_kde4_configdir}/rocs.knsrc
%{_kde4_appsdir}/rocs/
%{_kde4_datadir}/kde4/services/rocs_*.desktop
%{_kde4_datadir}/kde4/servicetypes/Rocs*.desktop

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%{_kde4_libdir}/librocslib.so.*

%files devel
%{_kde4_libdir}/librocslib.so
%{_kde4_includedir}/rocs/


%changelog
* Wed Oct 05 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.2-1
- 4.7.2

* Fri Sep 23 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.1-3
- License: GPLv3+

* Wed Sep 21 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.1-2
- License: GPLv2+

* Sun Sep 18 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.1-1
- Requires: kate-part
- 4.7.1

* Tue Aug 30 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.0-10
- first try

